%define oname	libdc1394
%define major 	20
%define name	%{oname}-%{major}
%define version 2.0.0
%define subversion rc5
%define release %mkrel 0.%{subversion}.1

%define libname %mklibname dc1394_ %major
%define libname_devel %mklibname dc1394_ %major -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Libraries
Source0: 	%{oname}-%{version}-%{subversion}.tar.bz2
URL: 		http://sourceforge.net/projects/libdc1394/
Buildroot: 	%{_tmppath}/%{oname}-%{version}-%{release}-buildroot
BuildRequires: 	libraw1394-devel
BuildRequires: 	libsm-devel
BuildRequires: 	libxv-devel
Requires: 	libraw1394 kernel >= 2.4.2
Summary: 	Library for 1394 Digital Camera Specification

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname_devel}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libdc1394-devel = %{version}-%{release}

%description -n %{libname_devel}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q -n  %{oname}-%{version}-%{subversion}

%build
%configure
%make

%install
rm -rf %{buildroot}
#makeinstall
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_libdir}/*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_bindir}/dc1394_reset_bus
%{_bindir}/dc1394_vloopback
%{_includedir}/dc1394/
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/libdc1394.pc


%changelog
* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc5.1mdv2007.0
+ Revision: 111235
- 2.0.0-rc5

* Fri Dec 08 2006 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc4.1mdv2007.1
+ Revision: 93870
- 2.0.0-rc4

* Sun Oct 22 2006 Stefan van der Eijk <stefan@mandriva.org> 2.0.0-0.rc3.1mdv2007.0
+ Revision: 71681
- 2.0.0-rc3
- Import libdc1394-20



* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre7.1mdk
- 2.0.0-pre7

* Mon Mar 20 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre6.1mdk
- 2.0.0-pre6

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-0.pre5.1mdk
- 2.0.0-pre5
- %%mkrel

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- rebuild for libraw1394

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major (old one incorrect btw.?)

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.5-2mdk
- lib64 fixes

* Wed Jul 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix bad char in Requires.

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4

* Sat Dec 13 2003 Austin Acton <austin@linux.ca> 0.9.2-1mdk
- 0.9.2
- make the spec pretty

* Wed Jul 30 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- add example program to the devel package
- spec fixes
- mklibname
- buildrequires
- url
- new version 

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- rebuild

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- new
